WinBase.FOREIGN_THREAD_START_ROUTINE (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinBase, class: FOREIGN_THREAD_START_ROUTINE

Package com.sun.jna.platform.win32

# Class WinBase.FOREIGN_THREAD_START_ROUTINE

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinBase.FOREIGN_THREAD_START_ROUTINE

Enclosing interface:
  WinBase

@FieldOrder("foreignLocation") public static class WinBase.FOREIGN_THREAD_START_ROUTINE extends Structure
Represents a thread entry point in another process. Can only be expressed as a pointer, as the location has no meaning in the Java process.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `WinDef.LPVOID`
  `foreignLocation`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FOREIGN_THREAD_START_ROUTINE()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### foreignLocation

    public WinDef.LPVOID foreignLocation

- ## Constructor Details

  - ### FOREIGN_THREAD_START_ROUTINE

    public FOREIGN_THREAD_START_ROUTINE()